Bug 191405 - lang/python27: Update to 2.7.8 and devel/py-setuptools to 5.4.1
lang/python27: Update to 2.7.8 and devel/py-setuptools to 5.4.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: Kubilay Kocak
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-26 12:53 UTC by Wen Heping
Modified: 2014-07-16 08:51 UTC (History)
2 users (show)

See Also:


Attachments
update python27 to 2.7.7 and py-setuptools to 5.2 (17.32 KB, patch)
2014-06-26 12:53 UTC, Wen Heping
no flags Details | Diff
devel/py-setuptools: Update to 5.3 (3.06 KB, patch)
2014-06-29 10:42 UTC, Kubilay Kocak
no flags Details | Diff
Python 2.7.8 Setuptools 5.4.1 (33.00 KB, patch)
2014-07-09 14:28 UTC, Kubilay Kocak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2014-06-26 12:53:10 UTC
Created attachment 144157 [details]
update python27 to 2.7.7 and py-setuptools to 5.2

Here is a patch update lang/python27 to 2.7.7 and devel/py-setuptools to 5.2.
Comment 1 Kubilay Kocak freebsd_committer 2014-06-26 14:48:25 UTC
lwhsu@ has a Python 2.7.7 update in progress, assigning
Comment 2 Kubilay Kocak freebsd_committer 2014-06-29 10:42:10 UTC
Created attachment 144240 [details]
devel/py-setuptools: Update to 5.3

Attaching patch:

- Update setuptools to 5.3
- Adding patch breadcrumbs
- Renaming patch to convention
Comment 3 Antoine Brodin freebsd_committer 2014-06-29 11:06:24 UTC
NOPORTDATA / %%PORTDATA%% will be rejected by the commit hook.
You can either remove it,  or add a proper "TOOLS" or something option
Comment 4 Antoine Brodin freebsd_committer 2014-06-29 18:43:58 UTC
Assign to koobs
Comment 5 melvyn 2014-07-07 21:16:08 UTC
Theoretically, it needs TEST_DEPENDS=py-pytest, but this creates circular dependency. This happens when you run regression-test (on a IPv6-only jail):

===>   py33-setuptools33-5.1_1 depends on file: /usr/local/bin/python3.3 - found
running test
Searching for pytest
Reading https://pypi.python.org/simple/pytest/
Download error on https://pypi.python.org/simple/pytest/: [Errno 43] Protocol not supported -- Some packages may not be found!
Couldn't find index page for 'pytest' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
Download error on https://pypi.python.org/simple/: [Errno 43] Protocol not supported -- Some packages may not be found!
No local packages or download links found for pytest
error: Could not find suitable distribution for Requirement.parse('pytest')
*** [regression-test] Error code 1

Perhaps it can be wrapped in a .if exists(${LOCALBASE}/bin/pytest). This would allow testing if pytest is installed, but still create a circular when it needs to be upgraded.

Side note: The jail has a HTTP_PROXY defined as a 6to4 shortcut, but whatever setup.py is using to download additional packages is not respecting it.
Comment 6 Kubilay Kocak freebsd_committer 2014-07-09 14:28:32 UTC
Created attachment 144540 [details]
Python 2.7.8 Setuptools 5.4.1
Comment 7 Kubilay Kocak freebsd_committer 2014-07-09 14:29:45 UTC
Assign to portmgr@ for exp-run.

Differential & Review: https://phabric.freebsd.org/D364
Comment 8 commit-hook freebsd_committer 2014-07-16 08:31:50 UTC
A commit references this bug:

Author: koobs
Date: Wed Jul 16 08:31:00 UTC 2014
New revision: 362051
URL: http://svnweb.freebsd.org/changeset/ports/362051

Log:
  devel/py-setuptools

  - Update to 5.4.1
  - Add breadcrumbs to patch-setuptools_command_install_egg_info.py
  - Whitespace alignment

  Changes:

    https://pypi.python.org/pypi/setuptools#changes

  CR:		D364
  PR:		191405
  Reviewed by:	antoine, bapt, mat, mva, wg

Changes:
  head/devel/py-setuptools/Makefile
  head/devel/py-setuptools/distinfo
  head/devel/py-setuptools/files/patch-setuptools_command_install_egg_info.py
Comment 9 Kubilay Kocak freebsd_committer 2014-07-16 08:47:04 UTC
Seems the post-commit-hook didn't process PR: lines for the lang/python27 changes. Manual-mode engaged!

A commit references this bug:

Author: koobs
Date: Mon Jul 14 07:20:40 2014
New Revision: 361735
URL: http://svnweb.freebsd.org/changeset/ports/361735

Log:
  lang/python27: Update to 2.7.8
  
  The FreeBSD Python team welcomes Python 2.7.8 to the Ports tree!
  
  Announcement: https://www.python.org/download/releases/2.7.8/
  Changelog:    http://hg.python.org/cpython/raw-file/v2.7.8/Misc/NEWS
  
  - Update to 2.7.8, update pkg-plist
  - OPTIONS: Reorder and sort alphabetically
  - OPTIONS: Make POSIX SEM(aphores) a DEFAULT (Hi binary package users!)
  - OPTIONS: Add better descriptions for UCS2 and UCS4
  - OPTIONS: Use options helpers
  - Remove patch-CVE-2014-1912: upstream, was backported
  - Remove patch-issue20374: upstream, was backported
  - Rename patch-Doc__library__fcntl.rst: underscore convention
  - Rename patch-Modules__fcntlmodule.c: underscore convention
  - Patch: setup.py: Remove ncurses overrides and return to upstream code
  - Patch: setup.py: Add partial backport for ossaudio OS checks
  - pkg-message: Remove warning for POSIX Semaphores. They are now in
    GENERIC for FreeBSD 8.x 9.x, 10.x and tested well upstream
  - pkg-message: No longer needs substitutions, remove .in suffix and
    SUB_FILES
  - Rework and simplify the platformX mechanism, update pkg-plist
    accordingly
  - Add regression-test target
  - Deprecate NOPORTDATA, remove pkg-plist entries with %%PORTDATA%%
  - Replace bsd.{pre,post}.mk with bsd.port.options.mk
  
  Based on original patch submitted by wen@ and worked on by lwhsu@,
  thank you!
  
  PR:             191405
  PR:             178301
  PR:             171246
  Phabric:        D364
  Reviewed by:    antoine, bapt, mat, mva, wg

<snip changes>